Models
GET /api/models/powersports
Section titled “GET /api/models/powersports”Returns motorcycle and powersports models available in the dataset. The demo dataset covers models sold between 2015–2020. To access models from the 1930s to today, subscribe and include a valid JWT.
The type parameter is required and must be set to street_motorcycle.
Sample Request
Section titled “Sample Request”curl "https://carapi.app/api/models/powersports?type=street_motorcycle&year=2024&make=Kawasaki" \ -H "Authorization: Bearer YOUR_JWT_TOKEN_HERE"const params = new URLSearchParams({ type: 'street_motorcycle', year: '2024', make: 'Kawasaki'});
const response = await fetch(`https://carapi.app/api/models/powersports?${params}`, { headers: { 'Authorization': `Bearer ${jwt}` }});
const data = await response.json();console.log('Models:', data);import requests
headers = { 'Authorization': f'Bearer {jwt}'}
params = { 'type': 'street_motorcycle', 'year': '2024', 'make': 'Kawasaki'}
response = requests.get( 'https://carapi.app/api/models/powersports', headers=headers, params=params)
data = response.json()print('Models:', data)use GuzzleHttp\Client;
$client = new Client();
$response = $client->get('https://carapi.app/api/models/powersports', [ 'headers' => [ 'Authorization' => 'Bearer YOUR_JWT_TOKEN_HERE', ], 'query' => [ 'type' => 'street_motorcycle', 'year' => '2024', 'make' => 'Kawasaki', ],]);
$data = json_decode($response->getBody(), true);print_r($data);$url = 'https://carapi.app/api/models/powersports?' . http_build_query([ 'type' => 'street_motorcycle', 'year' => '2024', 'make' => 'Kawasaki',]);
$ch = curl_init();curl_setopt($ch, CURLOPT_URL, $url);curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);curl_setopt($ch, CURLOPT_HTTPHEADER, [ 'Authorization: Bearer YOUR_JWT_TOKEN_HERE',]);
$response = curl_exec($ch);curl_close($ch);
$data = json_decode($response, true);print_r($data);Sample Response
Section titled “Sample Response”{ "collection": { "url": "/api/models/powersports?type=street_motorcycle&year=2020&make=honda", "count": 49, "pages": 1, "total": 49, "next": "", "prev": "", "first": "/api/models/powersports?type=street_motorcycle&year=2020&make=honda", "last": "" }, "data": [ {"id": 9706, "make_id": 9, "make": "Honda", "name": "Africa Twin"}, {"id": 10050, "make_id": 9, "make": "Honda", "name": "Africa Twin Adventure Sports ES"}, {"id": 10051, "make_id": 9, "make": "Honda", "name": "Africa Twin Adventure Sports ES DCT"}, {"id": 9707, "make_id": 9, "make": "Honda", "name": "Africa Twin DCT"}, {"id": 9966, "make_id": 9, "make": "Honda", "name": "CB300R"}, {"id": 9967, "make_id": 9, "make": "Honda", "name": "CB300R ABS"}, {"id": 9500, "make_id": 9, "make": "Honda", "name": "CB500X"}, {"id": 9969, "make_id": 9, "make": "Honda", "name": "CB500X ABS"}, {"id": 9970, "make_id": 9, "make": "Honda", "name": "CB650R"}, {"id": 9971, "make_id": 9, "make": "Honda", "name": "CB650R ABS"}, {"id": 9631, "make_id": 9, "make": "Honda", "name": "CBR300R"}, {"id": 9972, "make_id": 9, "make": "Honda", "name": "CBR300R ABS"}, {"id": 9501, "make_id": 9, "make": "Honda", "name": "CBR500R"}, {"id": 9973, "make_id": 9, "make": "Honda", "name": "CBR500R ABS"}, {"id": 8813, "make_id": 9, "make": "Honda", "name": "CBR600RR"}, {"id": 9256, "make_id": 9, "make": "Honda", "name": "CBR600RR ABS"}, {"id": 9974, "make_id": 9, "make": "Honda", "name": "CBR650R"}, {"id": 9975, "make_id": 9, "make": "Honda", "name": "CBR650R ABS"}, {"id": 9502, "make_id": 9, "make": "Honda", "name": "CRF250L"}, {"id": 9976, "make_id": 9, "make": "Honda", "name": "CRF250L ABS"}, {"id": 9776, "make_id": 9, "make": "Honda", "name": "CRF250L Rally"}, {"id": 9977, "make_id": 9, "make": "Honda", "name": "CRF250L Rally ABS"}, {"id": 9978, "make_id": 9, "make": "Honda", "name": "CRF450L"}, {"id": 9864, "make_id": 9, "make": "Honda", "name": "Gold Wing"}, {"id": 9865, "make_id": 9, "make": "Honda", "name": "Gold Wing DCT"}, {"id": 9866, "make_id": 9, "make": "Honda", "name": "Gold Wing Tour"}, {"id": 9867, "make_id": 9, "make": "Honda", "name": "Gold Wing Tour Airbag DCT"}, {"id": 9868, "make_id": 9, "make": "Honda", "name": "Gold Wing Tour DCT"}, {"id": 9566, "make_id": 9, "make": "Honda", "name": "Grom MSX125"}, {"id": 9979, "make_id": 9, "make": "Honda", "name": "Grom MSX125 ABS"}, {"id": 9777, "make_id": 9, "make": "Honda", "name": "Metropolitan NCW50"}, {"id": 9980, "make_id": 9, "make": "Honda", "name": "Monkey"}, {"id": 9981, "make_id": 9, "make": "Honda", "name": "Monkey ABS"}, {"id": 9869, "make_id": 9, "make": "Honda", "name": "NC750X"}, {"id": 9870, "make_id": 9, "make": "Honda", "name": "NC750X DCT ABS"}, {"id": 9507, "make_id": 9, "make": "Honda", "name": "PCX150"}, {"id": 9982, "make_id": 9, "make": "Honda", "name": "PCX150 ABS"}, {"id": 9778, "make_id": 9, "make": "Honda", "name": "Rebel 300"}, {"id": 9779, "make_id": 9, "make": "Honda", "name": "Rebel 300 ABS"}, {"id": 9780, "make_id": 9, "make": "Honda", "name": "Rebel 500"}, {"id": 9781, "make_id": 9, "make": "Honda", "name": "Rebel 500 ABS"}, {"id": 8814, "make_id": 9, "make": "Honda", "name": "Ruckus 50 NPS50"}, {"id": 9983, "make_id": 9, "make": "Honda", "name": "Super Cub C125 ABS"}, {"id": 9262, "make_id": 9, "make": "Honda", "name": "VT1300CX Fury"}, {"id": 9339, "make_id": 9, "make": "Honda", "name": "VT1300CXA Fury ABS"}, {"id": 8875, "make_id": 9, "make": "Honda", "name": "VT750C Shadow Aero"}, {"id": 9341, "make_id": 9, "make": "Honda", "name": "VT750C2BA Shadow Phantom"}, {"id": 9509, "make_id": 9, "make": "Honda", "name": "VT750CS Shadow Aero ABS"}, {"id": 8369, "make_id": 9, "make": "Honda", "name": "XR650L"} ]}Filtering
Section titled “Filtering”curl "https://carapi.app/api/models/powersports?type=street_motorcycle&year=2024&json=[{\"field\":\"make\",\"op\":\"in\",\"val\":[\"Kawasaki\",\"Harley Davidson\"]}]" \ -H "Authorization: Bearer YOUR_JWT_TOKEN_HERE"const filter = JSON.stringify([ { field: 'make', op: 'in', val: ['Kawasaki', 'Harley Davidson'] }]);
const params = new URLSearchParams({ type: 'street_motorcycle', year: '2024', json: filter});
const response = await fetch( `https://carapi.app/api/models/powersports?${params}`, { headers: { 'Authorization': `Bearer ${jwt}` } });
const data = await response.json();console.log('Models:', data);import requestsimport json
headers = {'Authorization': f'Bearer {jwt}'}
params = { 'type': 'street_motorcycle', 'year': '2024', 'json': json.dumps([ {'field': 'make', 'op': 'in', 'val': ['Kawasaki', 'Harley Davidson']} ])}
response = requests.get( 'https://carapi.app/api/models/powersports', headers=headers, params=params)
data = response.json()print('Models:', data)use GuzzleHttp\Client;
$client = new Client();
$response = $client->get('https://carapi.app/api/models/powersports', [ 'headers' => [ 'Authorization' => 'Bearer YOUR_JWT_TOKEN_HERE', ], 'query' => [ 'type' => 'street_motorcycle', 'year' => '2024', 'json' => json_encode([ ['field' => 'make', 'op' => 'in', 'val' => ['Kawasaki', 'Harley Davidson']], ]), ],]);
$data = json_decode($response->getBody(), true);print_r($data);$filter = json_encode([ ['field' => 'make', 'op' => 'in', 'val' => ['Kawasaki', 'Harley Davidson']],]);
$url = 'https://carapi.app/api/models/powersports?' . http_build_query([ 'type' => 'street_motorcycle', 'year' => '2024', 'json' => $filter,]);
$ch = curl_init();curl_setopt($ch, CURLOPT_URL, $url);curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);curl_setopt($ch, CURLOPT_HTTPHEADER, [ 'Authorization: Bearer YOUR_JWT_TOKEN_HERE',]);
$response = curl_exec($ch);curl_close($ch);
$data = json_decode($response, true);print_r($data);